%global momorel 3

Name:           perl-Image-Size
Version:        3.221
Release:        %{momorel}m%{?dist}
Summary:        Read the dimensions of an image in several popular formats
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Image-Size/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJRAY/Image-Size-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006001
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-IO-Compress >= 2
BuildRequires:  perl-Module-Build >= 0.28
BuildRequires:  perl-PathTools >= 0.8
BuildRequires:  perl-Test-Simple >= 0.80
Requires:       perl-IO-Compress >= 2
Requires:       perl-PathTools >= 0.8
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Image::Size library is based upon the wwwis script written by Alex
Knowles (alex@ed.ac.uk), a tool to examine HTML and add 'width' and
'height' parameters to image tags. The sizes are cached internally based on
file name, so multiple calls on the same file name (such as images used in
bulleted lists, for example) do not result in repeated computations.

%prep
%setup -q -n Image-Size-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog ChangeLog.xml etc ex imgsize README README.textile
%{_bindir}/imgsize
%{perl_vendorlib}/auto/Image
%{perl_vendorlib}/Image/Size.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.221-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.221-2m)
- rebuild against perl-5.12.1

* Mon Apr 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.221-1m)
- update to 3.221
- Specfile re-generated by cpanspec 1.78.

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.220-3m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.220-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.220-1m)
- update to 3.220

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.210-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.210-1m)
- update to 3.210

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2-2m)
- rebuild against perl-5.10.1

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2-1m)
- update to 3.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.1-2m)
- rebuild against rpm-4.6

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.1-1m)
- update to 3.1.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- rebuild against gcc43

* Sat Oct 13 2007 NARITA Koichi <pular@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.01-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.01-1m)
- spec file was autogenerated
